# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           cerebro
Version:        2.9.12
Release:        1%{?dist}
Summary:        Cerebro

Group:          Development/Tools
License:        MIT
URL:            http://cerebro.mit.edu
Source0:        http://dev.laptop.org/~ypod/releases/SOURCES/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
Cerebro provides presence information, extends the mesh network to regular 802.11b/g devices, allows sharing activities and provides an effient data transport mechanism.


#%package -n Cerebro
#Summary: Mesh Network presence information, data transport and collaboration tool.
#Group: Development/Tools
#Requires: cerebro
#%description -n telepathy-cerebro
#Cerebro provides presence information, extends the mesh network to regular 802.11b/g devices, allows sharing activities and provides an effient data transport mechanism.


%prep
%setup -q -n %{name}-%{version}


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/cerebro/
mv gui $RPM_BUILD_ROOT%{_datadir}/cerebro/
#mv apps $RPM_BUILD_ROOT%{_datadir}/cerebro/

install -D -m 755 bin/cerebro $RPM_BUILD_ROOT%{_sbindir}/cerebro
install -D -m 755 bin/cerebroui.olpc $RPM_BUILD_ROOT%{_bindir}/cerebroui.olpc
install -D -m 755 bin/cerebro.init $RPM_BUILD_ROOT%{_initrddir}/cerebro

##########################
#install -D -m 755 bin/cerebro-daemon $RPM_BUILD_ROOT/%{_bindir}/cerebro-daemon
#install -D -m 644 conf/service $RPM_BUILD_ROOT/%{_datadir}/dbus-1/services/org.olpc.cerebro.service
#install -D -m 644 conf/manager $RPM_BUILD_ROOT/%{_datadir}/telepathy/managers/cerebro.manager
install -D -m 644 conf/cerebro.conf $RPM_BUILD_ROOT/%{_sysconfdir}/dbus-1/system.d/cerebro.conf

mkdir -p $RPM_BUILD_ROOT%{python_sitelib}/cerebro/
install -D -m 644 cerebro/*.py $RPM_BUILD_ROOT/%{python_sitelib}/cerebro/



%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 -eq 1 ]; then
    /sbin/chkconfig --add cerebro
fi

%preun
if [ $1 -eq 0 ]; then
    /sbin/chkconfig --del cerebro
fi


%files
%defattr(-,root,root,-)
%doc README COPYING AUTHORS
# For noarch packages: sitelib
#%{python_sitelib}/cerebro
%{python_sitelib}/*
%{_datadir}/cerebro
%{_initrddir}/cerebro
%{_sbindir}/cerebro
%{_bindir}/cerebroui.olpc
%{_sysconfdir}/dbus-1/system.d/cerebro.conf


#%files -n telepathy-cerebro
#%defattr(-,root,root,-)
# For noarch packages: sitelib
#%{python_sitelib}/tpc
#%{_bindir}/cerebro-cm-daemon
#%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.ConnectionManager.cerebro.service
#%{_datadir}/telepathy/managers/cerebro.manager



%changelog
* Mon Aug 16 2008 Polychronis Ypodimatopoulos <ypod@mit.edu> - 2.9.12.olpc3
 Disabled UDP-based reports, #7942, #7961

* Mon Aug 13 2008 Polychronis Ypodimatopoulos <ypod@mit.edu> - 2.9.11.olpc2
 Completed Elliot's patch for #7732
 Now starts on startup
 adjusted README
 removed unecessary file copying from install.sh

* Mon Aug 4 2008 Polychronis Ypodimatopoulos <ypod@mit.edu> - 2.9.10.olpc2
 Applied Elliot's patch for #7732

* Sat Aug 2 2008 Polychronis Ypodimatopoulos <ypod@mit.edu> - 2.9.9.olpc2
 Changed CamelCase in some file names
 Removed HTTP and REQsock sockets (stale)
 Removed exec_command interface (#7799)

* Tue Jul 29 2008 Polychronis Ypodimatopoulos <ypod@mit.edu> - 2.9.8.olpc2
 Fixed licensing, added 'get_node_id' dbus interface (#7695)

* Tue Jul 16 2008 Polychronis Ypodimatopoulos <ypod@mit.edu> - 2.9.4.olpc2
 Minor fixes, improved UI application (added bidding game)

* Tue Jul 01 2008 Polychronis Ypodimatopoulos <ypod@mit.edu> - 2.9.0.olpc2
 Added sequence numbers to presence beacons

* Sat Mar 01 2008 Polychronis Ypodimatopoulos <ypod@laptop.org> - 0.1.0-1.olpc2
 Initial release of this spec.

